## ros-melodic-libnabo 1.0.7

=== python/CMakeLists.txt ===


# Find Python, make sure we use the same version for interpreter and libraries
# First, allow add the user-specified version of python to our build
set(Python_ADDITIONAL_VERSIONS ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR})

find_package(PythonInterp)
message("Python version from interpreter is ${PYTHON_VERSION_STRING}")
find_package(PythonLibs)

# Helper function to search for a module
function(find_python_module module)
	string(TOUPPER ${module} module_upper)
	if(NOT PY_${module_upper})
		if(ARGC GREATER 1 AND ARGV1 STREQUAL "REQUIRED")
			set(${module}_FIND_REQUIRED TRUE)
		endif()
		# A module's location is usually a directory, but for binary modules
		# it's a .so file.
		execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c"
			"import re, ${module}; print(re.compile('/__init__.py.*').sub('',${module}.__file__))"
			RESULT_VARIABLE _${module}_status
			OUTPUT_VARIABLE _${module}_location
			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
		if(NOT _${module}_status)
			set(PY_${module_upper} ${_${module}_location} CACHE STRING
				"Location of Python module ${module}")
		endif(NOT _${module}_status)
	endif(NOT PY_${module_upper})
endfunction(find_python_module)

# Make sure we have the right modules
if (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
	message("Python libs and executable found, looking for numpy and boost::python")

	if (PYTHON_DEB_INSTALL_TARGET)
		set(BOOST_PYTHON_COMPONENT "python-py${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR}")
	else (PYTHON_DEB_INSTALL_TARGET)
		if (PYTHON_VERSION_MAJOR GREATER 2)
			set(BOOST_PYTHON_COMPONENT "python${PYTHON_VERSION_MAJOR}")
		else (PYTHON_VERSION_MAJOR GREATER 2)
			set(BOOST_PYTHON_COMPONENT "python")
		endif(PYTHON_VERSION_MAJOR GREATER 2)
	endif (PYTHON_DEB_INSTALL_TARGET)

	find_package(Boost COMPONENTS ${BOOST_PYTHON_COMPONENT})
	find_python_module(numpy)
	find_package_handle_standard_args(numpy DEFAULT_MSG PY_NUMPY)
	if (Boost_FOUND AND NUMPY_FOUND)
		message("numpy and boost::python found, generating python bindings")
		include_directories(${PYTHON_INCLUDE_DIRS} ${PY_NUMPY}/core/include)
		if (SHARED_LIBS)
			python_add_module(pynabo SHARED nabo.cpp)
			target_link_libraries(pynabo ${LIB_NAME} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
		else ()
			set(PYTHON_SRC "nabo.cpp")
			foreach(file ${NABO_SRC})
				set(PYTHON_SRC ${PYTHON_SRC} "../${file}")
			endforeach(file)
			python_add_module(pynabo ${PYTHON_SRC})
			target_link_libraries(pynabo ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
			target_include_directories(pynabo PRIVATE ${EIGEN_INCLUDE_DIR})
		endif ()
		# fix for old python_add_module
		set_target_properties(pynabo PROPERTIES PREFIX "")
		if (PYTHON_CUSTOM_TARGET)
			install(TARGETS pynabo LIBRARY DESTINATION ${PYTHON_CUSTOM_TARGET})
		else (PYTHON_CUSTOM_TARGET)
			if (PYTHON_DEB_INSTALL_TARGET)
				set(PYTHON_COMMAND "import sys; print('/usr/lib/python'+str(sys.version_info[0])+'.'+str(sys.version_info[1])+'/dist-packages')")
			else (PYTHON_DEB_INSTALL_TARGET)
				set(PYTHON_COMMAND "from distutils.sysconfig import get_python_lib; print(get_python_lib(prefix='${CMAKE_INSTALL_PREFIX}'))")
			endif (PYTHON_DEB_INSTALL_TARGET)
			execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c" "${PYTHON_COMMAND}" OUTPUT_VARIABLE PYTHON_SITE_MODULES OUTPUT_STRIP_TRAILING_WHITESPACE)
			install(TARGETS pynabo LIBRARY DESTINATION ${PYTHON_SITE_MODULES})
		endif (PYTHON_CUSTOM_TARGET)
	elseif (Boost_FOUND AND NUMPY_FOUND)
		message("You need numpy and boost::python to generate python bindings")
	endif (Boost_FOUND AND NUMPY_FOUND)
else (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
	message("Python libs or executable not found, skipping Python bindings")
endif (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)

=== tests/CMakeLists.txt ===
include (CheckSymbolExists) 

include_directories(..)

add_executable(knnvalidate knnvalidate.cpp)
target_link_libraries(knnvalidate ${LIB_NAME} ${EXTRA_LIBS})
# disable as experimental is broken target_link_libraries(knnvalidate naboexperimental nabo  ${EXTRA_LIBS})

add_test(validation-2D-exhaustive ${EXECUTABLE_OUTPUT_PATH}/knnvalidate ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.2d.txt 10 2 -1)
add_test(validation-2D-random ${EXECUTABLE_OUTPUT_PATH}/knnvalidate ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.2d.txt 10 2 10000)
add_test(validation-3D-exhaustive ${EXECUTABLE_OUTPUT_PATH}/knnvalidate ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.txt 10 3 -1)
add_test(validation-3D-random ${EXECUTABLE_OUTPUT_PATH}/knnvalidate ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.txt 10 3 10000)
add_test(validation-3D-large-random ${EXECUTABLE_OUTPUT_PATH}/knnvalidate ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 10 3 1000)
add_test(validation-3D-large-random-radius ${EXECUTABLE_OUTPUT_PATH}/knnvalidate ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 10 3 1000 0.5)

find_path(ANN_INCLUDE_DIR ANN.h
	/usr/local/include/ANN
	/usr/include/ANN
)
find_library(ANN_LIBRARY
	NAMES ANN ann
	PATHS /usr/local/lib
	/usr/lib
)

if (ANN_INCLUDE_DIR AND ANN_LIBRARY)
	include_directories(${ANN_INCLUDE_DIR})
	set(EXTRA_LIBS ${ANN_LIBRARY} ${EXTRA_LIBS})
	add_definitions(-DHAVE_ANN)
	message("ANN found, enabling it in benchmarks")
else (ANN_INCLUDE_DIR AND ANN_LIBRARY)
	message("ANN not found, disabling it in benchmarks")
endif (ANN_INCLUDE_DIR AND ANN_LIBRARY)

find_path(FLANN_INCLUDE_DIR flann/flann.hpp
	/usr/local/include/
	/usr/include
)
find_library(FLANN_LIBRARY
	flann_cpp
	PATHS /usr/local/lib
	/usr/lib
)

if (FLANN_INCLUDE_DIR AND FLANN_LIBRARY)
	include_directories(${FLANN_INCLUDE_DIR})
	set(EXTRA_LIBS ${FLANN_LIBRARY} ${EXTRA_LIBS})
	add_definitions(-DHAVE_FLANN)
	message("FLANN found, enabling it in benchmarks")
else (FLANN_INCLUDE_DIR AND FLANN_LIBRARY)
	message("FLANN not found, disabling it in benchmarks")
endif (FLANN_INCLUDE_DIR AND FLANN_LIBRARY)

include_directories(..)

add_executable(knnbench knnbench.cpp)
target_link_libraries(knnbench ${LIB_NAME} ${EXTRA_LIBS})
# disable as experimental is broken target_link_libraries(knnbench naboexperimental nabo ${EXTRA_LIBS})

add_test(bench-3D-large-exhaustive-10000-K1 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 1 -10000 3 5)
add_test(bench-3D-large-exhaustive-1000-K1 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 1 -1000 3 5)
add_test(bench-3D-large-exhaustive-100-K1 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 1 -100 3 5)
add_test(bench-3D-large-random-K1 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 1 40000 3 5)
add_test(bench-3D-large-exhaustive-10000-K10 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 10 -10000 3 5)
add_test(bench-3D-large-exhaustive-1000-K10 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 10 -1000 3 5)
add_test(bench-3D-large-exhaustive-100-K10 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 10 -100 3 5)
add_test(bench-3D-large-random-K20 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 10 40000 3 5)
add_test(bench-3D-large-exhaustive-10000-K30 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 30 -10000 3 5)
add_test(bench-3D-large-exhaustive-1000-K30 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 30 -1000 3 5)
add_test(bench-3D-large-exhaustive-100-K30 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 30 -100 3 5)
add_test(bench-3D-large-random-K30 ${EXECUTABLE_OUTPUT_PATH}/knnbench ${CMAKE_CURRENT_SOURCE_DIR}/data/scan.3d.large.txt 30 40000 3 5)

add_executable(knnepsilon knnepsilon.cpp)
target_link_libraries(knnepsilon ${LIB_NAME} ${EXTRA_LIBS})

add_executable(knnbucketsize knnbucketsize.cpp)
target_link_libraries(knnbucketsize ${LIB_NAME} ${EXTRA_LIBS})

# Ensure that users cannot instantiate a tree with wrong matrix types.
macro(try_compile_cloud_types MAT_TYPE TREE_TYPE EXPECT)
	try_compile(COMPILE_SUCCEEDED
	              "${CMAKE_CURRENT_BINARY_DIR}"
	              "${CMAKE_CURRENT_SOURCE_DIR}/invalid_matrix_types.cpp"
	              COMPILE_DEFINITIONS "-std=c++11 -D${MAT_TYPE} -D${TREE_TYPE} -I${CMAKE_CURRENT_SOURCE_DIR}/../ -I${CMAKE_CURRENT_SOURCE_DIR}/../third_party/ -I${EIGEN_INCLUDE_DIR} -l${LIB_NAME}"
	              CMAKE_FLAGS "-DCMAKE_CXX_LINK_EXECUTABLE='echo not linking now...'"
	              OUTPUT_VARIABLE OUTPUT)

	if (${EXPECT} STREQUAL "TRUE") 
		if (NOT COMPILE_SUCCEEDED)
			message( FATAL_ERROR "Compiling a test executable failed. This is an error. Message ${OUTPUT}." )
		endif ()
	else ()
		if (COMPILE_SUCCEEDED)
			message( FATAL_ERROR "Tried to instantiate nabo-search trees with non-allowed types and succeeded. This is an error. Message ${OUTPUT}" )
		endif ()
	endif ()
endmacro(try_compile_cloud_types)

set(RUN_COMPILATION_TESTS false CACHE BOOL "Set to true to test the compilation of libnabo with different matrix types. Will only work with GCC and Clang.")

if (RUN_COMPILATION_TESTS AND (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
	try_compile_cloud_types(NABO_EIGEN_DYNAMIC_TYPE NABO_TYPE_CREATE TRUE)
	try_compile_cloud_types(NABO_EIGEN_DYNAMIC_TYPE NABO_TYPE_BRUTE_FORCE TRUE)
	try_compile_cloud_types(NABO_EIGEN_DYNAMIC_TYPE NABO_TYPE_LINEAR_HEAP TRUE)
	try_compile_cloud_types(NABO_EIGEN_DYNAMIC_TYPE NABO_TYPE_TREE_HEAP TRUE)

	try_compile_cloud_types(NABO_EIGEN_SEMI_DYNAMIC_TYPE NABO_TYPE_CREATE FALSE)
	try_compile_cloud_types(NABO_EIGEN_SEMI_DYNAMIC_TYPE NABO_TYPE_BRUTE_FORCE FALSE)
	try_compile_cloud_types(NABO_EIGEN_SEMI_DYNAMIC_TYPE NABO_TYPE_LINEAR_HEAP FALSE)
	try_compile_cloud_types(NABO_EIGEN_SEMI_DYNAMIC_TYPE NABO_TYPE_TREE_HEAP FALSE)
endif ()

=== debian/changelog ===
ros-melodic-libnabo (1.0.7-1bionic) bionic; urgency=high

  * Disabled cmake compile tests by default and on compilers that do not support them (#95)
  * Fix Python 2 bindings support in CMake scripts (#90)
  * Port libnabo to c++11 (#89)
  * Remove register keyword in index_heap.h (#88)
  * Fix compilation warning for MSVC (#85)
  * Assert template type for invalid setters (#80)
  * Return numerically maximal index (unsigned) or -1 (signed) for no match case (#79)
  * Add generate step for ${PROJECT_BINARY_DIR}/libnaboConfig.cmake (#76)
  * Removed compiler-specific flags for compilers that do not support them (#74)
  * Added cmake_policy(SET CMP0054 NEW) (#73)
  * Output compiler message with compile test fatal error in cmake (#72)
  * Removed erroneous commas from test/CMakeLists.txt (#71)
  * Removed fatal "," suffix from FATAL_ERROR in CMakeLists.txt (#70)
  * Fixed regression concerning installed libnaboConfig.cmake (#65)
  * Fix/relax compiler requirements (#63)
  * Removed hard dependency on the doc target (#62)
  * Install any.hpp (#61)
  * Remove boost::any and boost:format dependencies (#59)
  * Port the python bindings to python3 (#57)
  * Added cmake switch to disable usage of OpenMP (#53)
  * Zero copy for Eigen::Matrix3XT and Eigen::Map<const Eigen::Matrix3XT> (#43)
  * Fix warnings and switch on Wextra (#42)
  * Disallow instantiation with non dynamic matrices (#41)
  * Update README.md
  * Removed all code dealing with libnaboTargets.cmake (#32)
  * Got rid of unused locally defined typedefs (#27)
  * Contributors: David Landry, Hannes Sommer, Simon Lynen, Simon-Pierre Deschênes, Stéphane Magnenat, cezheng, ffurrer, magehrig, renning22, sandsmark, taketwo, tcies

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Wed, 06 Feb 2019 23:00:00 -0000

ros-melodic-libnabo (1.0.6-1bionic) bionic; urgency=high

  * Reset point indices of results with distances exceeding threshold (#23, #24)
  * Fine tune the find_package() capability and add uninstall target (#22)
  * Fixed compiler warning (#18)
  * Added OpenMP support (#20, #21)
  * Build type tuning (#19)
  * Fix: terminal comma in enum requires C++11
  * Fix UBSAN error calculating maxNodeCount (#16, #17)
  * Fixed tiny (yet significant) error in the Python doc strings (#15)
  * Compile static lib with PIC (#14)
  * Contributors: Francois Pomerleau, François Pomerleau, Gregory Hitz, Gregory Jefferis, Simon Lynen, Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Wed, 04 Mar 2015 23:00:00 -0000

ros-melodic-libnabo (1.0.5-1bionic) bionic; urgency=high

  * Added configure scripts for full catkinization
  * Catkinization of libnabo (following REP136)
  * Update README.md
    Added Simon as the maintainer.
  * [test] use CLOCK_PROF for NetBSD build
  * Fixed CppCheck warning.
    Fix broken install when doxygen is not found
  * Fix cmake stylistic issue
  * Make python install respect custom CMAKE_INSTALL_PREFIX
  * Fix broken install when doxygen is not found
  * Contributors: Chris Foster, Francis Colas, Paul Furgale, Pierrick Koch, Stéphane Magnenat, fcolas

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Wed, 11 Jun 2014 22:00:00 -0000

ros-melodic-libnabo (1.0.4-1bionic) bionic; urgency=high

  * Updated Debian version number.
  * Added check for invalid optionFlags values.
  * Fixed compilation on OS X, reduced code duplication in tests by moving timers into helpers.h
  * Contributors: Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Mon, 02 Sep 2013 22:00:00 -0000

ros-melodic-libnabo (1.0.3-1bionic) bionic; urgency=high

  * Prevent requesting more points than available in the cloud, prevent the use of empty clouds, bumped version number.
  * Added test for grep.
  * Worked around issue #3 <https://github.com/ethz-asl/libnabo/issues/3> on Windows.
  * Updated documentation.
  * Contributors: Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Sun, 18 Aug 2013 22:00:00 -0000

ros-melodic-libnabo (1.0.2-1bionic) bionic; urgency=high

  * Updated version number.
  * Added const
  * Removed useless optimisation, cleaned-up.
  * faster tree heap when less neighbors than requested
  * Hopefully fixed detection of missmatched python versions.
  * Fixed cloud size check for clouds with billions of points.
  * Contributors: Francis Colas, Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Tue, 19 Feb 2013 23:00:00 -0000

ros-melodic-libnabo (1.0.1-1bionic) bionic; urgency=high

  * Bumped version in doc.
  * Updated documentation to reflect the disabling of OpenCL.
  * Fixed bug in version define.
  * Typo.
  * Added note about nabo citation.
  * Fixed the semantic of epsilon to match the documentation's and ANN's ones.
  * Added ability to pass one radius per point.
  * Added custom command for python target.
  * Reverted buggy change
  * Fixed old python_add_module
  * fixed python 2.6 detection on debian.
  * Fixed debian installation.
  * Added debian-specific install target.
  * Fixed doc and python link command
  * Added docstring to python bindings.
  * Added test and improved CMakeLists.txt
  * Added debian install for python
  * Renammed to pynabo, added python install script.
  * Experimental python bindings working.
  * When number of point is smaller than bucket size, create a single-bucket tree.
  * Cleaned-up makefile.
  * Fixed description.
  * Merge branch 'master' of github.com:ethz-asl/libnabo
  * Added dbg package.
  * Contributors: Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Mon, 05 Nov 2012 23:00:00 -0000

ros-melodic-libnabo (1.0.0-1bionic) bionic; urgency=high

  * Fixed naming convention.
  * Removed dbg msg.
  * Fixed doc.
  * Updated doc, fixed debian build.
  * Updated README.
  * Fixed debian compilation.
  * Added note about download.
  * Fixed bug in control file.
  * Separated doc package from dev package.
  * Cleaned-up debian build chain.


=== debian/control ===
Source: ros-melodic-libnabo
Section: misc
Priority: optional
Maintainer: Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libeigen3-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-libnabo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, ros-melodic-catkin
Description: libnabo is a fast K Nearest Neighbour library for low-dimensional spaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-libnabo//opt/ros/melodic/lib/:$(CURDIR)/debian/ros-melodic-libnabo//opt/ros/melodic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
